

module.exports = (api) => {
    const mode = process.env.NODE_ENV ?? 'production';

    // This caches the Babel config by environment.
    api.cache.using(() => mode);

    return {
        presets: [
            [
                '@babel/preset-env',
                {
                    targets: {
                        browsers: ['>1%', 'last 4 versions', 'not ie < 9'],
                    },
                    useBuiltIns: 'usage',
                    corejs: 3,
                },
        ],
          [
                '@babel/preset-typescript',
                {
                    isTSX: true,
                },
            ],

            '@babel/preset-react',
        ],
        plugins: [
            '@babel/plugin-proposal-throw-expressions',
        ].filter(Boolean),
    };
};
